Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.attribute
Class HashDocAttributeSet

    java.lang.Object
      |
      +--javax.print.attribute.HashAttributeSet
            |
            +--javax.print.attribute.HashDocAttributeSet

All Implemented Interfaces:
  AttributeSet, DocAttributeSet, Serializable

public class HashDocAttributeSet
extends HashAttributeSet
implements DocAttributeSet, Serializable

Class HashDocAttributeSet provides an attribute set which inherits its implementation from class `HashAttributeSet` and enforces the semantic restrictions of interface `DocAttributeSet`.

See Also:
  Serialized Form

Constructor Summary
`HashDocAttributeSet()` Construct a new, empty hash doc attribute set.
`HashDocAttributeSet(DocAttribute attribute)` Construct a new hash doc attribute set, initially populated with the given value.
`HashDocAttributeSet(DocAttribute[] attributes)` Construct a new hash doc attribute set, initially populated with the values from the given array.
`HashDocAttributeSet(DocAttributeSet attributes)` Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `DocAttribute` interface.

Methods inherited from class javax.print.attribute.HashAttributeSet
`add, addAll, clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.print.attribute.DocAttributeSet
`add, addAll`

Methods inherited from interface javax.print.attribute.AttributeSet
`clear, containsKey, containsValue, equals, get, hashCode, isEmpty, remove, remove, size, toArray`

Constructor Detail

### HashDocAttributeSet

    public HashDocAttributeSet()

  Construct a new, empty hash doc attribute set.

### HashDocAttributeSet

    public HashDocAttributeSet(DocAttribute attribute)

  Construct a new hash doc attribute set, initially populated with the given value.

Parameters:
  `attribute` - Attribute value to add to the set.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `attribute` is null.

### HashDocAttributeSet

    public HashDocAttributeSet(DocAttribute[] attributes)

  Construct a new hash doc attribute set, initially populated with the values from the given array. The new attribute set is populated by adding the elements of `attributes` array to the set in sequence, starting at index 0. Thus, later array elements may replace earlier array elements if the array contains duplicate attribute values or attribute categories.

Parameters:
  `attributes` - Array of attribute values to add to the set. If null, an empty attribute set is constructed.
Throws:
  `NullPointerException` - (unchecked exception) Thrown if any element of `attributes` is null.

### HashDocAttributeSet

    public HashDocAttributeSet(DocAttributeSet attributes)

  Construct a new attribute set, initially populated with the values from the given set where the members of the attribute set are restricted to the `DocAttribute` interface.

Parameters:
  `attributes` - set of attribute values to initialise the set. If null, an empty attribute set is constructed.
Throws:
  `ClassCastException` - (unchecked exception) Thrown if any element of `attributes` is not an instance of `DocAttribute`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.